\documentclass[12pt]{article}
%\usepackage{graphics,/home/rer/T/Styles/my,/home/rer/T/Styles/comb}
\usepackage{graphics,my,comb}
\usepackage{makeidx}
%\newlength{\figwidth}
%\newcommand{\insinFig}[3]
%   {\makebox[0pt][l]{\raisebox{-#1\figwidth}{\hspace{#2\figwidth} #3}}}
%\newcommand{\insFig}[2]
%   {\makebox[#2][l]{\resizebox{#2}{!}
%   {\rotatebox{-90}{\includegraphics{#1}}}}}

\oddsidemargin 0mm

\renewcommand{\sketch}{Sketch}
\renewcommand{\arule}{Rule}
\renewcommand\contentsname{Contents}
\renewcommand\refname{References}
\renewcommand\tablename{Table}
\usepackage{times}
\makeindex
\listfiles
%\flushbottom

\begin{document}
\title{ME3E course, deflections in planar frames and beams  \\
Lecture notes}
\author{Petr \v Re\v richa }
%\month{May}
%\year{1997}
%\date{}
%\maketitle
\tableofcontents

\topmargin -15mm
\topmargin -24mm
% the page size required by CVUT Edition center:
\textheight 250mm
\textwidth 160mm
\oddsidemargin 0mm
\footskip 10mm
\pagestyle{plain}
\textfloatsep 0pt

\section{Deflections}
Flexibility (compliance) is defined by constitutive equations (a
synonum is material laws, rarely also physical equations)
on three levels:
\index{modulus}%
\begin{enumerate}
 \item Material level is the basic one, used in elasticity and
  material science. \\
 \setfigwidthinlist{0.3\textwidth}
 \bemifi
 \figdata{defl1.pdf}
 \insFigU%
 \begin{figsnum}
 An infinitesimal cube in uniaxial tension.   \label{defl1}
 \end{figsnum}
 \enmifi%
 \becol
 The simplest example is the uniaxial stress-strain law
\index{stress}%
  \begin{equation}
   \sigma = E \varepsilon                          \label{eq_defl1}
  \end{equation}
 which defines the linear elastic behaviour of an infinitesimal
\index{elastic}%
 cube loaded by the force $F=\sigma \dd A= \sigma \dd x \dd z$
 at two opposite sides. The relative extension (contraction for
 negative force) 
 \begin{equation}
      \varepsilon=  \dd u / \dd x                  \label{eq_defl2a}
 \end{equation}
 is called strain, the intensity of the force
 effect $\sigma$ is stress and $E$ is the Young modulus. 
\encol\\
\item Cross-section level is the medium one. 
  The transition from the material to
  the cross-section level is taught in elasticity courses.\\
 \setfigwidthinlist{0.3\textwidth}
 \bemifi
 \figdata{defl2.pdf}
 \insFigU%
 \begin{figsnum}
 A stub  between two close cross-sections in tension.   \label{defl2}
 \end{figsnum}
 \enmifi%
 \becol
 The simplest example is an infinitesimal stub of a beam in 
 simple tension. The relative extension $\bar \varepsilon$ of the
 \index{beam!axis}%
beam axis is introduced. It may vary along the beam axis
 \[ \bar \varepsilon (x)= -\dd v(x)/\dd x \]
 If uniform strain $\varepsilon= \bar \varepsilon$ and 
 stress $\sigma= N/A$ are
\index{stress}%
 asssumed in the whole cross-section
 the constitutive law becomes in the wake of equation~\refpar{eq_defl1}
 \begin{equation}
   N(x)= E A \bar \varepsilon (x)                      \label{eq_defl2}
 \end{equation}
 \encol\\
\item Structure level is the top level. 
The transition from the cross-section level
 to the structure level is the subject of this chapter. \\
 \setfigwidthinlist{0.3\textwidth}
 \bemifi
 \figdata{defl3.pdf}
 \insFigU%
 \begin{figsnum}
 Deflection vector $\vec u(x)$ due to the force $F$.   \label{defl3}
 \end{figsnum}
 \enmifi%
 \becol
 Displacements of points $x$ of the beams axes owing to the given
 system of forces are computed. The transition cannot be defined
 by similar simple relationships as in the previous two cases 
 because of the variability of structures. Methods rather than
 formulas are necessary and available.
 \encol\\
\end{enumerate}
Constant material and cross-section characteristics $E$ and $A$
are assumed in equations~\refpar{eq_defl1} and \refpar{eq_defl2}. 
They both could vary in space or along the beam axis leaving
these equations still valid.

\section{Constitutive equations on the cross-section level}
\index{constitutive equation|(}%
For didactic reasons the derivation is limited to planar
beams and frames. Similar relashionships hold for space beams and frames
but they are beyond the scope of these notes. 
Besides equation~\refpar{eq_defl2}, there are two other constitutive
equations on the cross-section level. The next one defines the
relationship between the moment $M$ acting at a cross-section and
the 
\index{beam!curvature}%
curvature of the deflection line.\\
\setfigwidth{0.4\textwidth}
\bemifi
\figdata{defl4.pdf}
\insFigU%
\begin{figsnum}
Beam inclination $\dd \phi$ owing to the bending moment $M$.
                                                      \label{defl4}
\end{figsnum}
\enmifi%
\becol
The differential stub of the beam is subject to the bending
moment $M$. Due to the moment, the upper face of the beam contracts
while the lower face extends. In the wake of these deformations,
the left and the right part of the beam rotate with respect 
to each other by the angle d$\phi$. The rate of change of the angle
by which
\index{beam!inclined}%
the deformed axis of the beam is inclined with respect to the
original one is the curvature~$\kappa$.
\begin{equation}
 \kappa= \dd \phi / \dd x                           \label{eq_defl3}
\end{equation}
\encol\\
It is derived in the theory of elasticity and stated here without
evidence that
\begin{equation}
  M(x)= \kappa (x) E J                              \label{eq_defl4}
\end{equation}
where $J$ denotes the moment of inertia of the cross-section with
\index{inertia}%
respect to its central $y$ axis (normal to the plane of the problem).

The last constitutive equation on the cross-section level refers
to the shear force and shear deformation. Shear force 
always is accompanied by variable bending moment, see the second
equilibrium equation~\refpar{eq_schwedl0}. In order to demonstrate
the shear deformation as simply as possible, we assume in its
definition that the bending moment and curvature at the cross-section
are negligible. Full definition of the shear deformation accounts
for the rotations of the cross-sections due to bending.      \\
\setfigwidth{0.3\textwidth}
\bemifi
\figdata{defl5.pdf}
\insFigU%
\begin{figsnum}
 Shear deformation $\psi$ owing to shear force $V$ \label{defl5}
\end{figsnum}
\enmifi%
\becol
The shear deformation at a cross-section is defined as the ratio
\[ \psi (x)= \dd u(x) / \dd x \]
and associates with the shear force by 
\begin{equation}
 V(x)= \psi (x) k G A ~~~~~ k\le 1                      \label{eq_defl5}
\end{equation}
where $G$ is the shear modulus of elasticity (closely connected with
\index{modulus}%
$E$), $A$ is the cross-section area and $k$ is the factor which
depends on the cross-section shape. These characteristics and
equation~\refpar{eq_defl5} are derived in the theory of elasticity again.
\encol\\
The constitutive equations~\refpar{eq_defl2},\refpar{eq_defl4} and
\refpar{eq_defl5} for the cross-section level are valid for
linear elastic materials which obey the rule~\refpar{eq_defl1}
\index{elastic}%
and similar linear material laws on the material level.
It is worth mentioning that in steel structures, at service load
levels, the condition is mostly met. It is far worse in reinforced
concrete structures since concrete cracks at service load levels
\index{concrete}%
already. Nevertheless, the linear elastic constitutive equations
are  commonly adopted for deflection computations. It is
argued that the cracking in concrete afflicts just a small part
of the concrete volume at the edge fibers of the most loaded
cross-sections. These equations, however, are not valid 
at the limit load levels.

Another condition for the constitutive equations to be valid is
that the reference axis of the beam must coincide with the
gravity centers of the cross-sections. If this condition is not met
a coupled system of equations applies between the cross-section
deformations $\bar \varepsilon$, $\kappa$ and $\psi$ on one side
and internal forces $N$, $M$ and $V$ on the other side.

A prismatic beam was assumed in the above developments. It is the
most frequent case in practice. Material constants $E$ and $G$
and cross-section characteristics $J$,$A$ and $k$ are then constant
along the beam axis. The expressions remain valid even in case
these constants and characteristics are functions of $x$ in
beams with variable cross-section.
 
\section{Deflection by integration of the geometric equations}
\label{deflbyint}
The straightforward way to the deflection of a beam is through
geometric equations. They connect the global description
of the beam displacements with the local parameters $\kappa$,
$\bar \varepsilon$ and $\psi$. In case of a general 
\index{beam!curved}%
curved beam
the geometric relations are rather complicated and reader is
referred to textbooks on elasticity in this respect. For
\index{elasticity|)}%
a straight beam they become simple in terms of the axial
displacement $u(x)$ and lateral displacement $v(x)$.\\
\setfigwidth{0.3\textwidth}
\bemifi
\figdata{defl6a.pdf}
\insFigU%
\begin{figsnum}
Axial and lateral components of the beam displacement   \label{defl6a}
\end{figsnum}
\enmifi%
\becol
In particular,  axial deformation $\bar \varepsilon$ depends solely
on $u(x)$ and 
\index{beam!curvature}%
curvature $\kappa$ on $v(x)$ for a straight beam.
Shear deformation $\psi$ cannot be expressed in terms of
$u(x)$ and $v(x)$ and yet another variable need be introduced.
This is beyond the scope of the subject. In great majority
of beams the effect of  shear deformation $\psi$ on the
deflection  is very small and is neglected in comparison to the
effect of $\kappa$. This simplification is adopted here.
\encol\\
The relationship between axial deformation~$\bar \varepsilon$
and $u(x)$ is simple:
\begin{equation}
 \bar \varepsilon (x) = {\dd u(x) \over \dd x}      \label{eq_defl6}
\end{equation}
It remains to define the relationship between 
\index{beam!curvature}%
curvature~$\kappa$
and deflection $v(x)$ of a beam.\\
\setfigwidth{0.3\textwidth}
\bemifi
\figdata{defl6.pdf}
\insFigU%
\begin{figsnum}
 Deflection of a straight beam               \label{defl6}
\end{figsnum}
\enmifi%
\becol
Curvature of the deflection line is (refer to calculus and differential
geometry)
\[ \kappa(x)= - {\dd^2v(x) \over \dd x^2}~{ 1 \over
   \sqrt{1 + \left( {\dd v(x) \over \dd x} \right)^2 }} \]
Actual deflections in real structures are very small compared to
the spans of the beams. Typical ratio is of the order 1/1000
and the tangent of the deflection slope $\dd v(x) / \dd x$ has
the same order of magnitude. The second summand in the denominator
in the above expression for 
\index{beam!curvature}%
curvature can thus be neglected against 1
since $10^{-6}<<1$. 
\encol\\
The simplified final expression for the curvature then reads
\begin{equation}
 \kappa(x)= - {\dd^2v(x) \over \dd x^2}            \label{eq_defl7}
\end{equation}

Constitutive equations~\refpar{eq_defl2} and \refpar{eq_defl4}
for the cross-section level  together with geometric
equations~\refpar{eq_defl6} and \refpar{eq_defl7} constitute
two 
\index{beam!differential equation}%
differential equations which enable the 
calculation of the displacements from the known internal forces.
Mind that the calculations can be carried out separately for
$u(x)$ and $v(x)$. Solution of a simple differential equation is
necessary in each case. It is demonstrated 
on the example of a simple beam
subject to uniform lateral loading. Since no normal force occurs in such
a beam the axial displacement vanishes. \\
\setfigwidth{0.3\textwidth}
\bemifi
\figdata{defl7.pdf}
\insFigU%
\begin{figsnum}
 Sample beam for deflection computation.               \label{defl7}
\end{figsnum}
\enmifi%
\becol
Substitution into equation~\refpar{eq_defl7} from the constitutive 
equation~\refpar{eq_defl4} provides
\begin{equation}
 M(x)= -EJ {\dd^2 v(x) \over \dd x }                  \label{eq_defl8}
\end{equation}
Bending moment $M(x)$ is simple to derive in this simple example.
\encol\\
A simple linear 
\index{beam!differential equation}%
differential equation is obtained
\[ {f l \over 2} x - {f \over 2} x^2= -EJ {\dd^2 v(x) \over \dd x }  \]
Integration repeated twice with respect to $x$ yields
\[ {f l \over 12} x^3 - {f \over 24} x^4 + c x + d = -EJ v(x) \]
with  integration constants $c$ and $d$ which can be determined from 
the boundary conditions:
\begin{enumerate}
\item
at  $x=0~~~~v(x)=0~~ \Rightarrow~~ d= 0$
\item
at $x=l~~~~v(x)=0~~ \Rightarrow~~ c= -f {l^3 \over 24} $
\end{enumerate}
The deflection line becomes
\[ v(x)= {f \over 24 EJ} (l^3 x - 2 l x^3 + x^4) \]
with the maximum 
\[ v_{max}= {5 f l^4 \over 384 } \]
at the beam center. The solution could have been simpler if the symmetry
\index{symmetry}%
had been utilized.
Analogous development can be carried out for the axial load effects.
This is rarely necessary in practice, however, since axial deformation
of beams seldom of interest.

This mathematical approach turns out lengthy and ineffective when the 
deflection of frames is to be computed since the boundary conditions of 
individual beams become coupled. Several methods have been developed
to facilitate the solution. From the mathematical point of view,
they do not introduce any new concept just that specific systems 
are introduced
in the solution of the integration constants. Historically these
methods were perceived as independent. They are not used in
computer programs and their importance has thus decreased substantially.
They are briefly characterized in the next section for completeness
and reference. An important advantage distinguishes these methods from
the virtual work methods: a complete deflection line is obtained
\index{virtual work}%
whereas the work methods just deliver deflection at a discrete point
in a definite direction.

\subsection{Deflection by the conjugate beam and related methods}
\index{beam!conjugate|(}%
The methods are based on the mathematical similarity of the
constitutive/geometric equation~\refpar{eq_defl8} and the equilibrium
\index{constitutive equation|)}%
equation~\refpar{eq_schwedl}. The idea is that owing to this similarity
the methods used
to develop the bending moment diagrams from the given transverse load
can also be used in developing the deflection line from  the given
bending moment. The deflection line is developed
on a conjugate beam. The supports of the conjugate beam are 
determined with the aid of Table~\ref{conjugatebeam}.
The conditions in the actual beam (left column in the table)
are the static boundary conditions. They convert to the associated
geometric boundary conditions in the conjugate beam.
A deflection line is obtained in the form of the
bending moment to a fictitious load acting on the conjugate beam.
The fictitious load is the bending moment on the actual beam
divided by flexural 
\index{stiffness}%
stiffness $EJ$.
\begin{table}
\caption{Analogies used in conjugate beam and related methods.
Positive $v(x)$ and $f(x)$ are downwards, positive $M(x)$ pulls
at lower face}
\label{conjugatebeam}
\begin{tabular}{ccc}
 & actual beam & conjugate beam \\
\hline
basic equations &$f(x)=-\dd V(x)/\dd x$ &$M(x)=EJ\dd\phi(x)/\dd x$ \\
                &$V(x)=\dd M(x)/\dd x$ &$\phi(x)=-\dd v(x)/\dd x$ \\
\hline
basic quantities & lateral continuous load $f(x)$ 
           & bending moment $M(x)$  \\ \cline{2-3}
           & shear force $V(x)$ & deflection slope $\phi(x)$ \\ \cline{2-3}
           & bending moment $M(x)$ & deflection $v(x)$ \\ 
\hline
boundary cond.
        & \parbox{0.35\textwidth}{$M(x)=0$ vanishing moment,
          hinge} & $v(x)=0$, vertical support\\
        \cline{2-3}
        & \parbox{0.35\textwidth}{$V(x)=0$, vanishing shear force}
        & \parbox{0.35\textwidth}{$\phi(x) = 0$, rotation constraint}\\
        \cline{2-3}
         &\parbox{0.35\textwidth}{discontinuity in the shear force
           $V(x)$, vertical support}
         &\parbox{0.35\textwidth}{discontinuity in the deflection 
          slope $\phi(x)$, hinge }\\
        \cline{2-3}
         &\parbox{0.35\textwidth}{free end}
         &\parbox{0.35\textwidth}{clamped end}\\
        \cline{2-3}
         &\parbox{0.35\textwidth}{clamped end}
         &\parbox{0.35\textwidth}{free end}\\
\hline 
\end{tabular}
           \index{constraint}%
\index{discontinuity}%
\end{table}

The moment area and elastic load methods  also are based on the
\index{elastic!load method}%
analogies summarized in Table~\ref{conjugatebeam}. The family
have also been termed geometric methods~\cite{Kassimali}. 
An obvious drawback is their limitation to straight beams. 
Historically, they played
important part in structural mechanics before the computer era
but have virtually disappeared from contemporary design practice.
Graphic presentation of the deflection
became standard in computer programs for planar frames and
stripped the geometric methods of their appeal.
The methods still retain  didactic value and are therefore given
ample space even in recent textbooks~\cite{Kassimali}, \cite{UNW}. \\
\setfigwidth{0.6\textwidth}
\bemifi
\figdata{defl8.pdf}
\insFigU%
\begin{figsnum}
Actual and conjugate beams and their loading.          \label{defl8}
\end{figsnum}
\enmifi%
%\becol
\becol
A cantilever beam serves as an illustrative example. It is loaded
by a single vertical force. Note that
the bending moment diagram is constructed twice -- on the actual
and on the conjugate beam.
The symbol $v'$ stands for the deflection slope
$\dd v(x) / \dd x$ in the figure.
The calculation steps start in the left column and end up in the
right one. The bending moment diagram divided by the flexural
\index{stiffness!flexural}%
stiffness $EJ$ is used as a fictitious load on the conjugate
beam.  Care  is necessary in dealing with signs and
diagrams conventions when perfect consistency is to be maintained.
This,  however, is not the issue here.
\encol\\

Conjugate boundary conditions in intermediate supports are shown
in the next example of a continuous beam. Flexural stiffness is set
\index{beam!continuous}%
to $EJ=1$
for simplicity in this example and $v'$ denotes $\dd v(x) / \dd x$.\\
\setfigwidth{0.8\textwidth}
\begin{center}
\bemifi
\figdata{defl9.pdf}
\insFigU%
\begin{figsnum}
Deflection of a continuous beam by the conjugate beam method.
                                                      \label{defl9}
\end{figsnum}
\enmifi%
\end{center}

\section{Principle of virtual work}
\label{PVW}
There are several 
work principles of structural mechanics. They can be derived from
equilibrium conditions  with the aid of a generic  mathematical concept
-- the principle of virtual work (PVW).
\index{virtual work!principle of}%

The derivation of the PVW is outlined for illustration
purposes for a specific case -- a part of a straight beam between
sections $a$ and $b$ as shown in \sketch~\ref{defl10}. 
In order
to simplify the matter pure bending deformation is assumed
(the shear deformation is neglected and axial forces absent).\\
\setfigwidth{0.5\textwidth}
\bemifi
\figdata{defl10.pdf} 
\insFigU%
\begin{figsnum}
Loading and deflection of a part of a straight beam.
Sign convention.                                       \label{defl10}
\end{figsnum}
\enmifi%
\becol
Mind that with common positive rotation $\varphi$
counterclockwise, positive deflection $v(x)$ downwards 
(because most deflections in buildings are downwards) and 
positive 
\index{beam!curvature}%
curvature $\kappa$ as indicated in the figure imply
\begin{equation}
 \kappa (x)= {\dd \varphi (x) \over \dd x} ~~~~~~
   \varphi (x)= - {\dd v(x) \over \dd x }           \label{eq_defl9}
\end{equation}
which agrees with equation~\refpar{eq_defl7}.
\encol\\
Equilibrium condition~\refpar{eq_schwedl} is multiplied by $v(x)$
\begin{equation}
{\dd^2  M(x) \over \dd x^2}= -f(x)             \label{eq_schwedl}
\end{equation}
and integrated from $a$ to $b$:
\[ \int_a^b  \left[{\dd^2M(x) \over \dd x^2 } v(x) + f(x) v(x) \right]
 \dd x  = 0 \]
Integration of the first term twice by parts yields
\[ \left[ {\dd M(x) \over \dd x} v(x) \right]_a^b -
   \left[  M(x) { v(x) \over \dd x} \right]_a^b -
   \int_a^b M(x) {\dd^2 v(x) \over \dd x^2 } +
   \int_a^b  f(x) v(x)\dd x   = 0 \]
With the aid of equations~\refpar{eq_schwedl0} (equilibrium), 
\begin{equation}
{ \dd V(x) \over \dd x}= -f(x) ~~~~~{\dd M(x) \over \dd x}= V(x)
                                              \label{eq_schwedl0}
\end{equation}
\refpar{eq_defl9} and \refpar{eq_defl7} (geometric relations) and after
substitution of the boundaries the final form is obtained:
\[
\overbrace{
-V(a) v(a) +V(b) v(b) -M(a) \varphi (a) + M(b) \varphi (b) +
  \int_a^b f(x) v(x) \dd x
}^{work~of~external~forces} 
  - \overbrace{\int_a^b M(x) \kappa (x) \dd x}^{work~of~
internal~forces} = 0 
\]
This is a specific form of the PVW for the part
of a straight beam. 
Just two conditions need to be satisfied for its validity:
\begin{enumerate}
\item $M(x)$, $V(x)$ and $f(x)$ must be in equilibrium
\item geometric relations~\refpar{eq_defl9} and \refpar{eq_defl7} hold.
\end{enumerate}
These conditions obviously are met by the forces and displacements
of the actual state. They are also met by lots of other imaginable
force and
displacement states. The set of all force states that meet 
the equilibrium conditions are called the \emph{virtual stress states}
\index{stress!state virtual/actual|(}%
and similarly the set of displacement states that obey the geometric
equations are called \emph{virtual displacements}. 
In this sense, the actual
force and displacement states belong to the set of the virtual ones.
The work of internal forces can easily be extended for the case
when shear and axial deformations take place
\begin{equation}
 \dd w_{int}= (- N \bar \varepsilon - V \psi - M \kappa )\dd x
                                                 \label{eq_defl8a}
\end{equation}
Analogous  mathematical tricks can be used 
for other bodies and boundary conditions. The equilibrium
conditions and geometric equations take on various shapes in
various specific cases, nevertheless, the verbal definitions of the
virtual stress states and displacements remain valid.  The basic
version of the PVW applies to a general three-dimensional
continuum and is derived with the aid of the Gauss theorem 
instead of the per-partes integration. All specific forms can be 
wrapped up in the verbal form (albeit not entirely exact):
\begin{princ}
The total work of external and internal forces of any
virtual stress state  on any virtual displacements  equals zero.
\end{princ}
The actual force and displacements states can be perceived
special cases of the respective virtual states.
Discontinuous displacements are allowed but
the work of internal forces on the discontinuities must be accounted
\index{discontinuity}%
for.


While the above derivation is purely mathematical an intuitive
explanation is possible, too.
It follows from the balance of the energy that in deformable 
bodies not only the external forces do work. The work they do must
be absorbed by the body. It goes into the work of internal forces.
Each internal force does work on the corresponding deformation so
that in a differential length $\dd x$ of a beam 
the work~\refpar{eq_defl8a} is done.
Minus signs indicate that the work is absorbed (spent) in the
deformation. This intuitive explanation is not flawless, however.
If the work evaluated in equation~\refpar{eq_defl8a} were an actual
work spent in the deformation process
the internal forces would have had to
remain constant while the deformation was applied. This is
\emph{not} true in the actual process of deformation when internal
forces increase. 

Mind that neither the forces nor the displacements are restricted
in the PVW beyond the conditions stated above. This leaves great
flexibility for applications since actual as well as other virtual
states can be used in it.

Whereas the way from  specific types of equilibrium conditions 
to the PVW resembles the proof by induction, the reverse way,
that is, deducing equilibrium conditions back from the PVW, is elegant
and general. The PVW often is accepted as a postulate and equilibrium
conditions are derived from it. As a matter of fact, the geometric
equations also can be derived from the PVW. Reader is referred to
textbooks on the mechanics of continua and engineering mechanics
for systematic presentation
of these issues.


\subsection{Principle of virtual forces}
Two load cases (stress states) are defined prior to stating the 
principle.
\index{settlement}%
\begin{enumerate}
 \item The actual load case $N$, $V$ and $M$ due to the given actual
 load. In this load case the associated deformations
 $\bar \varepsilon$, $\kappa$ and $\psi$ are present,
 \begin{equation}
  \bar \varepsilon = N/(EA)~~~~~\psi= V/(GAk)~~~~~\kappa=M/(EJ)
 \end{equation}
 The internal forces are in equilibrium with the given loads. The actual
 load case may also include temperature effects and settlement
 of supports. These effects do not imply any internal forces in
 statically determinate structures but deformations and displacements
 due to these effects add up to those caused by the forces.
 \item
 The virtual load case $\delta N$, $\delta V$ and $\delta M$ due to
 a virtual loading. The virtual loading is arbitrary in the
 general sense
 but it is selected by the analyst in practice to meet some purpose.
 The virtual loading and corresponding internal forces are in
 equilibrium.
\end{enumerate}
The principle of virtual forces (PVf) simply substitutes
a  virtual load case
for the  equilibrium force system  in the PVW
and addresses the work of this
force system on the actual displacements and deformations.
\begin{princ}
The total work of external and internal  forces of the
virtual load case
on the displacements and deformations of the actual load case
equals zero.
\end{princ}
\begin{eqnarray}
\nonumber
\delta w & =& \delta w_{ext} +\delta w_{int}=  
   \sum_{i=all forces} \delta \vec{F}_i \bold{\cdot}\vec{u}_i +
   \int_{structure}[ \delta \vec{f}(x)\bold{\cdot}\vec{u}(x) \dd x\\
   & &
  -\int_{structure}\delta N(x) \bar \varepsilon(x)+\delta V(x) \psi(x) 
  +\delta M(x) \kappa(x) ] \dd x =0
                                                 \label{eq_defl9a}
\end{eqnarray}
Forces $\delta \vec{F}_i$ include both the given load and the 
external and internal reactions.\\
{\small {\bf Remark:}
If the integral is assumed in a more general sense 
(Lebesgue integral) then
the work of the external forces can be  expressed in a simplified form
$ \delta w_{ext}= \int_{structure}\delta \vec{f}(x)
\bold{\cdot}\vec{u}(x) \dd x $. 
Besides  the work of the distributed load  it comprises 
the work of all concentrated forces. The latter  can be perceived as
a limit case of the distributed load when the intensity grows
to infinity on an infinitely small length. A similar approach 
can be adopted with respect to the work of the internal forces.
Analogous generalization of the integral allows  for discontinuous 
\index{discontinuity}%
displacements which
can be perceived as infinitely large deformations taking place on
an infinitely small lengths of the beam. For instance, 
relative rotation of the adjacent parts can be allowed at a 
cross-section $x$ which is interpreted as infinitely large
$\kappa(x)$ taking place in an infinitely small vicinity of $x$.
}

\subsection{Deflections by the principle of virtual forces}
In order to compute displacements in the actual load case,
the actual deformations $\bar \varepsilon(x)$, $\psi(x)$ and
$\kappa(x)$ are necessary. They can be computed from the known
internal forces of the actual load case with the aid of the constitutive
equations~\refpar{eq_defl2}, \refpar{eq_defl4} and \refpar{eq_defl5}.
Temperature changes afflict directly the actual deformations
but these effects will be dealt with later on.

The selection of the virtual load case remains free up to now.
In order to compute a definite component of displacement (including
rotation) at a definite point of the structure, the virtual load
consists of a single concentrated force (moment) acting at 
the point in the direction of the respective component. The selection
is illustrated in an example. 


\subsection{Deflection in a simple beam}
A simple beam in \sketch~\ref{defl7} is analyzed to compute
the vertical deflection at the center  and the rotation at the
right support. The former displacement can be compared to
the deflection obtained by integration in section~\ref{deflbyint}.
Shear deformation is neglected first for valid comparison.\\
\setfigwidth{0.6\textwidth}
\bemifi
\figdata{defl11.pdf}
\insFigU%
\begin{figsnum}
Actual and virtual load cases for the calculation of 
the vertical deflection
at the center and the rotation at the right support.  \label{defl11}
\end{figsnum}
\enmifi%
\becol
The virtual load case is shown on top right of \sketch~\ref{defl11}, below
is the corresponding bending moment diagram. If the shear deformation
is neglected (and no axial deformation present) 
the virtual work of the forces acting in the virtual load case
\index{virtual work}%
(the left diagram in~\sketch~\ref{defl11}) on the displacements
and deformations of the actual load case (the top right
diagram in~\sketch~\ref{defl11}) becomes
\encol\\
\[
  \delta w= \delta 1 ~ v - 2\int_0^{l/2} \delta M(x) \kappa (x)~\dd x=
  \delta 1 ~ v - 2{1 \over EJ} \int_0^{l/2} \delta M(x) M(x)~\dd x=
\]
\[  \delta 1 ~ v - 2 {1 \over EJ}
    \int_0^{l/2} {1 \over 2} x ~{f \over 2} (lx - x^2)~ ~\dd x = 0 
\]
\[ v= { 5 f l^4 \over 384EJ } \]
The evaluation matches the result from section~\ref{deflbyint}.
The rotation at the right support can be readily obtained when
the virtual load case is used 
shown in the right bottom part of \sketch~\ref{defl11}.
\[ \delta w= \delta 1 ~ \phi - {1 \over EJ}
  \int_0^l {f \over 2} (lx - x^2)~ { x \over l} \dd x = 0   \]
\[ \phi = {f l^3 \over 24 E J } \]
\subsubsection{Contribution of the shear deformation}
The example can easily be extended to take into account the shear
deformation. In the case of the vertical deflection $v$, the
contribution to the work of the shear force amounts to
\[  \delta w_{shear}= - 2\int_0^{l/2} \delta V(x) \psi(x)~\dd x=
    -2\int_0^{l/2} f({l \over 2}-x)~{1 \over 2} {1 \over kGA}~\dd x=
   -{f l^2 \over 8~kGA} \]
The shear force diagram of the virtual load case is not included
in~\sketch~\ref{defl11}. It consists of two constant sections
with values $1/2$ and $-1/2$.
The contributions of the bending and shear deformations to $v$
can be compared. Their ratio is
\[ { v_{shear} \over v_{bend}}= {384 l^2 EJ \over 5\cdot 8 l^4 k GA}\]
For a square cross-section with side $d$, Poisson ratio and 
cross-section shape factor $\nu=0,~k=1$ it becomes
\[ { v_{shear} \over v_{bend}}= 1.6\left( {d \over l} \right)^2 \]
The ratio is small enough to be neglected for most practical
purposes and acceptable beam dimensions. It is worth mentioning
that the evaluation of the same deflection by the conjugate beam
\index{beam!conjugate}%
methods or 
\index{beam!direct integration}%
direct integration of the deflection line would be
far more difficult if possible at all. Compare how easy the shear
contribution is computed by the PVf.
    
\subsection{Displacements in planar frames, effect of normal forces}
\label{displframes}
The shear deformation is commonly neglected in the evaluation of 
displacements in planar frames. This simplification is adopted
forthwith unless otherwise stated. In other words, the Bernoulli-Euler
\index{Bernoulli-Euler}%
hypothesis is adopted for the bending of beams. One reason for it
is historical -- the hypothesis has been  familiar for generations of 
structural engineers. The steps of the displacement calculation
are summarized in the next example. \\
\begin{center}
\setfigwidth{0.8\textwidth}
\bemifi
\figdata{defl12.pdf}
\insFigU%
\begin{figsnum}
Rotation $\alpha$ in a simple planar frame, actual and virtual
load cases.                                         \label{defl12}
\end{figsnum}
\enmifi%
\end{center}
Rotation at the roller support has to be computed. 
\index{roller}%
\begin{itemize}
\item
In the first step, the reactions and internal forces are computed and
drawn for the actual load case. 
\item
The virtual load case is then defined
such that a single external force does work on the desired displacement
component (the rotation at the roller in this case). The appropriate
force in this particular example is the moment at the roller. 
\item
Reactions and
internal forces diagrams are then computed and drawn for the virtual
load case. 
\item
Virtual work is integrated. Inspection of the internal forces diagrams
indicates that the functions to be integrated are relatively simple
(linear and parabolic) on individual intervals. Integration
\index{parabolic}%
formulas for frequent combinations of functions are set up 
in table~\ref{intform}. The deflection is evaluated using the table:
\[ \phi= \overbrace{1/6 \cdot hF \cdot 1 \cdot l \cdot 1/(EJ)
      }^{bending~moment} - 
   \overbrace{1 \cdot Fh/l \cdot 1/l \cdot h \cdot 1/EA}^{normal~force} \]
\end{itemize}
Once again a square cross-section is assumed with side $d$ in order
to compare the contributions of the bending moment and normal force
to the rotation $\phi$:
\[ \phi = {F \over E d^2}\left(
  \overbrace{2 h l \over d^2}^{bending~moment} -
  \overbrace{ \left( {h \over l} \right)^2 }^{normal~force} \right)\]
Typical aspect ratios $h/d=l/d=10$ imply then
\[ \phi = {F \over E d^2} ( \overbrace{200}^{bending~moment} 
     - \overbrace{1}^{normal~force}) \]
The effect of normal force apparently can be neglected in many
structures with rather common proportions. Consideration should be
given to arrangements where relatively great normal forces occur
like columns and arches with great vertical loads.
This is demostrated in the example of a semi-circle arch 
in \sketch~\ref{defl16}. 

\subsection{Effect of the normal force in an arch}
\label{arch_n_force}
Two actual load cases will be considered,
a horizontal force shown in \sketch~\ref{defl16} and vertical force
at the center in \sketch~\ref{defl17}. The indicated displacements will be
computed in the respective load cases and contributions of bending
and axial deformation compared for each of them. The internal forces
diagrams are symmetric in all load cases (actual and virtual)
with respect to the vertical symmetry axis of the beam and
\index{symmetry}%
just the symmetric halves are shown in the diagrams. Moreover,
the bending moment and shear force functions turn out nearly identic
for both actual and virtual load cases in the first actual load case
the horizontal force. Therefore just their common shape is shown 
in~\sketch~\ref{defl16}. \\
\begin{center}
\setfigwidth{0.8\textwidth}
\bemifi
\figdata{defl16.pdf}
\insFigU%
\begin{figsnum}
Deflection of a circular arch owing to a horizontal force.
                                                    \label{defl16}
\end{figsnum}
\enmifi%
\end{center}
The actual and virtual load cases in the first task
exhibit affine internal forces diagrams:
\[
N(\phi)= F \sin(\phi),~~~~~M(\phi)=Fr\sin(\phi), ~~~~~
\delta N(\phi)=  \sin(\phi),~~~~~\delta M(\phi)=r\sin(\phi) \]
Since $\int_0^\pi \sin^2(\phi) \dd \phi = \pi/2$ the deflection~$u$
is readily obtained
\[ u= F r {\pi \over 2}\left({ r^2 \over EJ} + {1 \over EA}\right) \]
Contributions of bending and axial deformation can clearly be
distinguished in this intermediate result. 
Once again a square cross-section with side $d$ is assumed 
and the deflection becomes
\[ u= {F r \pi \over 2 E d^2}
     \left( 12 \left( {r \over d}\right)^2 +1 \right) \]
With $r/d=5$ the ratio of the bending to axial deformation contribution
is $300$.

The same displacement is computed in the other actual load case and
therefore the same virtual stress states can be utilized.
It remains to solve for the internal forces diagrams in
the actual load case shown in \sketch~\ref{defl17}.
\begin{center}
\setfigwidth{0.8\textwidth}
\bemifi
\figdata{defl17.pdf}
\insFigU%
\begin{figsnum}
Deflection of a circular arch owing to a central vertical force.
                                                    \label{defl17}
\end{figsnum}
\enmifi%
\end{center}
The bending moment and normal force functions are
\[ M(\phi)= {Fr \over 2}(1 - \cos(\phi) - \sin(\phi) ) ~~~~~
   N(\phi)= {F \over 2}(- \cos(\phi) - \sin(\phi) ) \]
The integrals of $M~\delta M$ and  $N~\delta N$ yield
\[ u = {F r^3 \over EJ}\left( {1 \over 2} - {\pi \over 4}\right)
   + {F r \over EA} \left(-{1 \over 2} - {\pi \over 4}\right) \]
where the denominators clearly indicate which are the contributions
of bending and axial deformation respectively. Assuming the same
cross-section as above the deflection becomes
\[ u= {F r \over E d^2} \left( -3.44 \left({r \over d}\right)^2
       -1.286\right) \]
The ratio of the bending to axial deformation contributions is
now $67$ for $r/d=5$ -- substantially lower than it was with the
horizontal loading force. It requires engineering judgement and
experience to tell in some problems of practice whether the
effect of normal forces can be neglected.  
\begin{statement}
Throughout these notes
the effect is neglected unless otherwise stated.  \label{neglectN}
\end{statement} The above
example is deliberately presented in brief. The reader
is recommended to work it out in detail as an
exercise on the application of the PVf to 
\index{beam!curved}%
curved beams.

Axial deformations must not be confused with temperature 
expansion/contraction. The former refers to the elastic
\index{elastic}%
deformation due to axial forces. Where there is no normal force
there is no (elastic) axial deformation. This deformation
is often neglected. At the same time, temperature change may
induce axial extension/contraction which must \emph{not} be
neglected. The issue is exposed in the next section.


   





\begin{table}
\caption{Integration formulas for virtual work evaluation. $ab$ is
a common multiplier in all formulas}
\begin{center}
\insFigUp{defl13.pdf}{0.8\textwidth}
\end{center}
\label{intform}
\end{table}
\index{virtual work}%

\section{Thermal effects}
\index{thermal effects|(}%
Temperature changes entail volume changes in all building materials.
Volume changes in their turn imply displacements of structures.
It is assumed here that there is some strain-free reference
temperature at which
there are no displacements. All thermal effects are then due to the
temperature changes with respect to this reference temperature.
\index{reference temperature}%
This temperature is usually about $20^{o}$C in european building 
standards. The notation and formulas are rendered simpler, 
\index{standards}%
however, if the
reference strain-free temperature is put at $0^{o}$C. It is well
possible since only temperature changes count. Symbol $t$ denotes
the temperature \emph{change} with respect to the reference
temperature. Symbol $\Delta t$ is reserved to another thermal
effect explained later in this section.

For all design purposes, linear dependence can be assumed
of the extension in one direction on the temperature change with the
temperature extension factor $\alpha$. In beams, the lateral
(perpedicular to the beam axis) extensions/contractions 
 invoke no displacements of the \index{beam!axis}%
beam axis
and the structure. Axial extension
\begin{equation}
 \bar \varepsilon^t  = \alpha  t               \label{eq_defl10}
\end{equation}
on the other hand, results in displacements of the structure.
In great majority of practical instances, the temperature change $t$
is the same in the whole structure or, at least, in its parts.
Such change is called homogeneous or partially homogeneous 
temperature change. Displacements due to homogeneous 
temperature changes can often be determined by elementary
considerations. \\
\setfigwidth{0.4\textwidth}
\bemifi
\figdata{defl14.pdf}
\insFigU%
\begin{figsnum}
Homogeneous temperature increase in a semicircle.      \label{defl14}
\end{figsnum}
\enmifi%
\becol
An example is the semi-circle arch treated in
section~\ref{arch_n_force}. When subject to homogeneous temperature
increase $\Delta t$, the arch extends in both directions,
its horizontal elongation is $2 \Delta t \alpha  r$. Vertical
displacement of the same magnitude must occur at the roller. These
\index{roller}%
two components determine the displacement of the semi-arch entirely.
The matter might turn out much more difficult when the temperature
effect is analysed in a more complex frame or the temperature effect
takes place in only a part of the structure.
A systematic tool is necessary for such occasions. It is even more
needed for the other thermal effect that can take place in
frames. 
\encol\\

\subsection{Temperature gradient}
Temperature quite often is continuously changing across
the beam depth. It is assumed forthwith that this change is linear
and the term temperature gradient is used for this thermal effect.
\index{temperature gradient|(}%
Total temperature change in a cross-section of a beam can thus be
decomposed in the temperature change $t$ and 
the temperature gradient $\Delta t$ as indicated in the left
diagram of~\sketch~\ref{defl15}. 
\setfigwidth{0.5\textwidth}
\bemifi
\figdata{defl15.pdf}
\insFigU%
\begin{figsnum}
Temperature gradient $\Delta t$ and its effect -- curvature.
                                                      \label{defl15}
\end{figsnum}
\enmifi%
\becol
The two effects can be treated
separately. The temperature change $t$ effect is illustrated
in the previous section.
Positive temperature gradient shown in
\sketch~\ref{defl15} elongates the upper and contracts the lower fibers
of the cross-section (provided the beam is free). 
The resulting 
\index{beam!curvature}%
curvature $\kappa^t$ is the ratio of the
difference of these changes divided by the cross-section depth $h$
and the differential length $\dd x$:
\encol\\
\begin{equation}
 \kappa^t =-{ \Delta t \alpha \dd x \over h \dd x }= 
      -{\Delta t \alpha \over h}                   \label{eq_defl11}
\end{equation}
The minus sign is necessary to keep the sign convention consistent
with the usual sign convention of the bending moment (positive when it
pulls at lower surface).
PVf offers a systematic tool to treat both factors in the same manner.

\subsection{Unified treatment of thermal effects by PVf}
Temperature effects occur in the actual load case (stress state)
in the terminology of the PVf. Displacement is thus obtained by
the PVf when the temperature induced axial extension~\refpar{eq_defl10}
and temperature gradient induced 
\index{beam!curvature!temperature induced}%
curvature~\refpar{eq_defl11} 
are substituted in 
the standard virtual work expression~\refpar{eq_defl9a} for
\index{virtual work}%
$\bar \varepsilon$ and $\kappa$. If the actual load case includes
both force and thermal effects they are added up in 
$\bar \varepsilon$ and $\kappa$ in equation~\refpar{eq_defl9a}. 
In all other respects the standard algorithm of the PVf remains intact.
The calculation is demonstrated for a separate temperature gradient
in a beam. It is recalled on this occasion that it is a good
habit in the engineering practice to compute various loads effects
separately and superpose them in the final summary where the extrem
effects are sought.  \\
\setfigwidth{0.5\textwidth} 
\bemifi
\figdata{defl18.pdf}
\insFigU%
\begin{figsnum}
Deflection due to a temperature gradient in a beam.
                                                      \label{defl18}
\end{figsnum}
\enmifi%
\becol
The simple beam in \sketch~\ref{defl18} is subject to temperature
gradient $\Delta t = 20^oC$. Deflection at the end of the cantilever
is to be computed. Mind that the depth of the cross-section must
be given in such tasks (see equation~\refpar{eq_defl11}).
In place of the actual stress state solution, the temperature
induced curvature is computed. In this simple example, no separate
diagram is necessary since the temperature gradient and beam depth
\index{temperature gradient|)}%
are constant. The virtual load case is shown in \sketch~\ref{defl18}.
\encol\\
Substitution in equation~\refpar{eq_defl9a} delivers the deflection:
\[ v= \int_0^{2l} \delta M(x) \kappa^t \dd x=
   \int_0^{2l} - \delta M(x)~{\Delta t~ \alpha \over h} \dd x=
   {\Delta t~ \alpha l^2 \over h} \]
Note that the temperature change $t$ alone would cause no 
deflection $v$ in this
simple structure.
Horizontal displacements would change in such a case, of course.

\section{Example on the force and thermal effects in a frame}
Relative rotation of two connecting members at hinge D is computed
first due to temperature increase $t= 20^o$C in the tie in the
frame shown in~\sketch~\ref{defl19}.\\
\begin{center}
\setfigwidth{0.8\textwidth}
\bemifi
\figdata{defl19.pdf}
\insFigU%
\begin{figsnum}
Relative rotation due to temperature increase in the tie.
                                                    \label{defl19}
\end{figsnum}
\enmifi%
\end{center}
It is seen in the actual load case sketch (left in~\sketch~\ref{defl19})
that virtual forces can only do work in the tie since no
extension or curvature takes place anywhere else. 
Moreover, just the normal
force in the tie will do work on the thermal expansion/contraction
of the tie. It is thus sufficient for the given task to draw the
normal force diagram for the virtual load (right in \sketch~\ref{defl19}).
The relative rotation at the hinge is then
\[ \Delta \phi = \int_{structure}\delta N(x) \bar \varepsilon \dd x=
      -0.5~\Delta t~ \alpha \]
Note that normal forces are relevant \emph{in the virtual load case}
in spite of the fact that the elastic deformations due to 
\index{elastic}%
the normal force are neglected according to~\arule~\ref{neglectN}.

The example is now modified. A concentrated force is added at the 
central hinge. Bending moments occur both in the actual and the
virtual load cases. Normal forces in the actual load case also
exist but they need not be drawn since their effect is neglected.
The internal forces diagrams are complemented in \sketch~\ref{defl20}.
\begin{center}
\setfigwidth{1.0\textwidth}
\bemifi
\figdata{defl20.pdf}
\insFigU%
\begin{figsnum}
Relative rotation due to temperature increase in the tie and
a concentrated vertical force at the central hinge.
                                                    \label{defl20}
\end{figsnum}
\enmifi%
\end{center}
The diagram of the normal force in the virtual load case from the
original version of the example remains valid and so does the
contribution of the temperature to $\Delta \phi$. The total
relative rotation is then
\[ \Delta \phi = -0.5~\Delta t~ \alpha  + \int_{structure}
   \delta M(x) {M(x) \over EJ} \dd x =  
  -0.5~\Delta t~ \alpha + 2\left( 1\cdot 2 F\cdot 4 {1 \over 2}-
   1\cdot 2 F\cdot 2 {1 \over 3} \right) {1 \over EJ} \]
\[\Delta \phi = -0.5~\Delta t~ \alpha - {32 F \over 3~ EJ } \]

\section{Settlement of supports}
Settlement of supports is a special form of a more general phenomenon
\index{settlement}%
-- imposed displacements. It happens most frequently in the wake of
the consolidation of the foundation soil. Displacements of structures
induced by the settlement of supports often can be determined
by elementary geometric considerations just like in case of the
thermal effects. The example in \sketch~\ref{defl21} testifies to that.
The same simple beam as in \sketch~\ref{defl18} is subject to
a given vertical displacement $s$ of the right support.\\
\setfigwidth{0.4\textwidth}
\bemifi
\figdata{defl21.pdf}
\insFigU%
\begin{figsnum}
Settlement of support in a simple beam.
                                                    \label{defl21}
\end{figsnum}
\enmifi%
\becol
There are neither internal forces nor deformations in the actual load
case. There is thus no need to draw the internal forces diagrams 
for the virtual load case since these internal forces will not do
any work. Instead, the work of the external forces of the virtual
load case must be complemented by the work of the reaction
on the imposed displacement $s$ of the actual load case. The PVf
yields:
\[ 1~v - 2~s = 0,~~~~ v= 2~s \]
\encol\\
The result could have been obtained by inspection of \sketch~\ref{defl21}.
The PVf becomes useful in more complex frames like that in
\sketch~\ref{defl22}. 
The settlement consists of the rotation $\alpha$ at
\index{settlement}%
the clamped end of the frame.
\begin{center}
\setfigwidth{0.8\textwidth}
\bemifi
\figdata{defl22.pdf}
\insFigU%
\begin{figsnum}
Settlement of support (rotation $\alpha$ at the clamped end) in frame.
                                                    \label{defl22}
\end{figsnum}
\enmifi%
\end{center}
The virtual load case is set up in the standard way -- unit force is
applied in the direction of the required displacements. It is
sufficient to compute the reactions in this load case. The PVf
equation reads:
\[ \delta M_A~\alpha + \delta 1~v =0 ~~~~~ v= -5\alpha \]


\section{Deflections of trusses}
Specific properties of truss members induce substantial
simplification in the deflection calculation.
The work of internal forces reduces to the work of the normal
forces, that is, the terms with $\delta M(x)$ and $\delta V(x)$
disappear from equation~\refpar{eq_defl9a}. Further, constant
member forces and axial
\index{stiffness!axial}%
stiffnesses of truss members are assumed so that
the integration within each member can be carried out and results
in a sum on all members:
\begin{equation}
\delta w  = 
   \sum_{i=all forces} \delta \vec{F}_i \bold{\cdot}\vec{u}_i +
  \left[   \int_{structure}[ \delta \vec{f}(x)\bold{\cdot}\vec{u}(x)
   \dd x \right]
   - \sum_{j=all~members}\delta N_j \bar \varepsilon_j l_j  =0
                                                 \label{eq_defl12}
\end{equation}
The term in the square brackets mostly can be omitted if all loading
is reduced to concentrated forces as it is usual with trusses.
Needless to say, $\bar \varepsilon_j$ includes both
the deformation due to member force and thermal expansion/contraction:
\begin{equation}
  \bar \varepsilon_j = {N_j \over (EA)_j} + \bar \varepsilon_j^t
                                                   \label{eq_defl13}
\end{equation}

Application of equation~\refpar{eq_defl12} is illustrated on the truss
in \sketch~\ref{defl23}. Axial 
\index{stiffness!axial}%
stiffnesses are the same, $AE$, 
for all members
except $4,5$ and $5,6$ where they are 5 times greater.
\begin{center}
\setfigwidth{0.8\textwidth}
\bemifi
\figdata{defl23.pdf}
\insFigU%
\begin{figsnum}
Deflection of a truss.
                                                    \label{defl23}
\end{figsnum}
\enmifi%
\end{center}
\setfigwidth{0.6\textwidth}
\bemifi
\begin{tabular}{|cccccc|}
\hline
member &$l$ & $EA_i/EA$ & $N$ & $\delta N$ & $ w$ \\
\hline
column & 2 & 3&4&5&6\\
\hline
1,2 & 1 & 1& -5 & -1 & 5 \\
2,3 & 1 & 1 & -5 & -1 & 5 \\
4,5 & 1 & 5 & 70 & 2 & 28 \\
5,6 & 1 & 5 & 50 & 0 & 0 \\
1,5 & 1.41 & 1 & -21.2 & -1.414 & 42.5 \\
2,5 & 1 & 1 & 0 & 0 & 0 \\
3,5 & 1.41 & 1 & 7.07 & 1.41 & 14.1 \\
3,6 & 1 & 1 & -5 & 0 & 0 \\
\hline
\end{tabular}
\enmifi%
\becol
Calculations usually are organized in a table. It is convenient
to use relative, not absolute axial 
\index{stiffness!axial}%
stiffnesses in the calculations
and in the table in order to avoid very large and/or very small
numbers.  Sum of the members contributions to the virtual work
\index{virtual work|(}%
in the last column of the table yields then the deflection:
\[ v= {94.6 \over EA } \]
\encol\\
The contributions of individual members 
\[ \delta N_{i,j} \bar \varepsilon_{i,j} l_{i,j} =
  \delta N_{i,j} {N_{i,j} \over {(EA)_{i,j} \over EA}}
  l_{i,j} =  col.5 \cdot col.4 ~/~ col.2 \cdot col.1
\]
to the virtual work
appear in the last column of the table. 

Deflection $u$ due to temperature increase $t=20^o$C in a single member
turns out easy to compute in the next example.\\
\setfigwidth{0.6\textwidth}
\bemifi
\figdata{defl24.pdf}
\insFigU%
\begin{figsnum}
Deflection of a truss due to a temperature increase
                                                    \label{defl24}
\end{figsnum}
\enmifi%
\becol
 The virtual stress
state is shown in the right diagram of \sketch~\ref{defl24}. Just
member force $N_{2,4}$ need be computed in order to evaluate
the deflection. Equilibrium conditions of the whole structure
provide the external reactions as indicated in \sketch~\ref{defl24}.
The vertical equilibrium of joint $2$ entails
$N_{2,4}=-N_{2,5}$. The equilibrium in the horizontal
direction of joints 1 and 3 yields $N_{1,2}=1$ and
$N_{2,3}=0$. 
\encol\\
The horizontal equilibrium condition then reads
\[ 2 \rightarrow : -N_{1,2} - N_{2,4} / \sqrt{2} + N_{2,5} /\sqrt{2} =0 \]
and $N_{2,4}= -0.707$ is obtained. The virtual work includes just two
\index{virtual work|)}%
forces of the virtual stress state
\index{stress!state virtual/actual|)}%
\[ \delta w= \delta 1~u - (\bar \varepsilon~\delta N~l)_{2,4} = 0 \]
so that 
\[ u= (\bar \varepsilon~\delta N~l)_{2,4} = t~\alpha~(-0.707)~1.414=
    - t~\alpha \]
    
\subsection{Williot-Mohr method}
Previous sections on deflections in plane frames and trusses might 
inspire an
inquiry into a method that delivers deflections in the whole truss
like the conjugate beam method does in beams. The answer is
the Williot-Mohr method.
Unfortunately, the Williot-Mohr method basically is graphical and, 
consequently,
it is losing practical importance in the context of contemporary
structural mechanics. Its concept can occasionally be applied
in checking the results obtained by other methods and that is why
it is briefly introduced here.
Displacement vectors of all joints are drawn one by one to a 
suitable scale in the truss
plane starting with a joint that does not move. Fundamentals are
explained on a simple example. Member forces must be known in all
members prior to drawing the diagram of the displacement vectors.
For the truss in~\sketch~\ref{defl25} they are
\[ N_{1,3}=N_{1,3}= -\sqrt{2}/2= -0.707~~~~~N_{1,2} 0.5 \]
The elastic (possibly also thermal) changes of the lengths of all
\index{thermal effects|)}%
members are computed next with $E~A=1$ for simplicity:
\[ \Delta l_{1,3}=\Delta l_{2,3}= { N_{1,3} \over E A}~l_{1,3}=
  -\sqrt{2}/2~\sqrt{2}= -1~~~~\Delta l_{1,2}= {2 \over 2}= 1 \]
\begin{center}
\setfigwidth{0.8\textwidth}
\bemifi
\figdata{defl25.pdf}
\insFigU%
\begin{figsnum}
Williot diagram development
                                                    \label{defl25}
\end{figsnum}
\enmifi%
\end{center}
Joint 1 apparently does not move and is selected for the reference
point. Relative displacements of other joints with respect to
joint 1 thus are at the same time their absolute displacements
in this specific case.
This need not be always the case (in some cases all joints may move)
but in spite of it the displacements of joints with respect to the
reference point are termed absolute displacements
in order to avoid confusion. The term relative displacement is
reserved here for the displacement of one joint with respect to
some other one.

Relative displacement of joint~2 with respect to joint~1 is 
vector $\vec{u}_1^2$.
$\Delta l_{1,2}$ is the component of this vector in the direction 
of member 1,2. This direction,
incidentally, is horizontal so that $\Delta l_{1,2}$ is the horizontal
projection of $\vec{u}_1^2$. Since joint~1 does not move
$\vec{u}_1^2 = \vec{u}_2$ -- the relative displacement of joint~2
with respect to joint~1 equals the absolute displacement of joint~2.
For a general couple of joints the relative displacement 
of joint $j$ with
respect to joint $i$ is denoted by $\vec{u}_i^j$.
$\Delta l_{i,j}$ is the projection of the relative displacement
vector $\vec{u}_i^j$ upon the member direction
\[ \Delta l_{i,j}= \vec{m}_i^j \bold{\cdot} \vec{u}_i^j \]
where $\vec{m}_i^j$ is the unit vector pointing from joint~$i$
to joint~$j$.
In case of 
joint 2, the roller support enforces  that the displacement 
\index{roller}%
vector $\vec{u}_2$ is horizontal and is therefore equal to its
horizontal projection derived above.
\[ \vec{u} = \left\{ \begin{array}{c} \Delta l_{1,2} \\ 0 \end{array}
             \right\} = \left\{ \begin{array}{c} 1\\ 0 \end{array} 
                        \right\} \]
The absolute and relative displacements vectors are drawn in a 
suitable scale 
in a Williot diagram. The origin is denoted 0 and it indicates
the zero displacement of the reference point. The absolute
displacement vector $\vec{u}_2$ can be now drawn. Its end point
is indicated by the respective joint number 2. As for the displacement
of joint 3, projection $\Delta l_{1,3}$ of $\vec{u}_1^3$ upon 
the direction
$\vec{m}_1^3$ and the starting point of the vector is known. 
Note that the projection is oriented including the sense. Positive
sense of the direction is from joint~1 towards joint~3. Contraction
$\Delta l_{1,3}$ is negative and is thus inserted in the reversed
sense.
The end point of the vector $\vec{u}_1^3$ must lie on the dashed 
line indicated in~\sketch~\ref{defl25}.
Similarly the end point of vector $\vec{u}_2^3$  must lie on the other
dashed line and the displacement vector $\vec{u}_3$ is thus obtained
at the intersection of the two dashed lines. The displacements vectors
can finally be transferred (in another suitable scale) in the
diagram of the truss to gain an overview of the deformed structure.

The first vector $\vec{u}_2$ was easy to draw in the last example
since the displacement of joint~2 was restrained by the roller.
In general trusses the reference point is selected arbitrarily and
some of the adjacent members is assumed not to rotate. 
Joint~1 is the most suitable reference point in the 
truss in~\sketch~\ref{defl26}. None of the adjacent joints is 
constrained so that their displacement vectors cannot be determined
at the moment. In order to get ahead member~1,2 is assumed 
not to rotate which is equivalent to saying that there is a 
fictitious roller with vertical axis added at joint~2 and the
\index{roller}%
roller at joint~3 is released. These changes are adopted exclusively
for the drawing of the Williot diagram and do not affect the member
forces and extensions!  They are indicated in the sketch of the
deflected truss in~\sketch~\ref{defl26} where the fictitious rolller
is marked with a circle..
A substitute initial displacement vector $\vec{u}_2$
is obtained  and all 
absolute displacement vectors are obtained in the same manner as 
described above. 
The development of the Williot diagram is shown in two phases
in \sketch~\ref{defl26} in order to facilitate the retracing of
its construction. It is apparent in the sketch of the
displaced truss that it is sufficient to rotate it clock-wise in order
to position joint 3 properly. Even this step can be carried
out in the Williot diagram and is called the Mohr correction.
It is, however, beyond the scope of these notes.
\begin{center}
\setfigwidth{0.8\textwidth}
\bemifi
\figdata{defl26.pdf}
\insFigU%
\begin{figsnum}
Williot diagram development with a substitute initial vector.
                                                    \label{defl26}
\end{figsnum}
\enmifi%
\end{center}


\bibliographystyle{plain}
\bibliography{scr,/home/rer/T/SSK/reliabil}

\section{Appendix -- solved examples}
\setfigwidth{1.13\textwidth}
%\figdata{appdis1.pdf}
%\insFigU%
%\clipFig{appdis1.pdf}{\figwidth}{60}{20}{578}{780}
%%BoundingBox: 19 20 578 824 


Vertical deflection $v$ and relative rotation $\alpha$ at the
connecting hinge are computed
for three load cases of the frame.
Cross-section of both parts is $0.1\times0.1$~(m). Young modulus
$E=10^6$~(kPa) and thermal expansion factor $\alpha = 0.00001$
are assumed.  In the second LC, temperature gradient is considered
with higher temperature on the upper face of the beam.
The third load case is a settlement of the indicated support.
The effect of the normal forces is taken into account. 
A modified structure is considered with 
cross-section $1\times 1$~(m).\\
\setfigwidth{1.00\textwidth}
\bemifi
\figdata{appdeflfr3a.pdf}
\insFigU%
%\begin{figsnum}
%\end{figsnum}
\enmifi%
\\
The displacements are summarized in the table below.
The contribution of the normal force is negligible 
($2.4\cdot 10^{-4}$ of
the total $v=27.5$ in LC1). When a stronger cross-section $1\times 1$(m)
is considered, the contribution of the axial deformation grows
to $2.4\cdot 10^{-2}$ while the absolute value of the
deflection decreases $10 000\times$. The deflection $v$ then is
\[ v= {1\over 10 000}\cdot 27.5(1+2.4\cdot 10^{-2}) =
  28.3\cdot 10^{-4} \].
\begin{minipage}{0.5\textwidth}
Displacements for cross-section
$0.1\times 0.1$\\
\begin{tabular}{ccc}
LC & v & $\alpha$ \\
\hline
1 & 27.5 & 6.97 \\
2 & 0.080 & 0.01 \\
3 & 0.01 & 0 
\end{tabular}
\end{minipage}
\begin{minipage}{0.5\textwidth}
Displacements for cross-section
$1\times 1$\\
\begin{tabular}{ccc}
LC & v & $\alpha$ \\
\hline
1 & $28.3\cdot 10^{-4}$ & $7.11\cdot 10^{-4}$ \\
2 & 0.0080 & 0.001 \\
3 & 0.01 & 0 
\end{tabular}
\end{minipage}

\newpage
Axial stiffness of all members is the same $AE=1$:\\
\setfigwidth{1.0\textwidth}
\figdata{appdefltr1.pdf}
\insFigU%
\\ \\ \\
\setfigwidth{0.8\textwidth}
\figdata{appdefltr2.pdf}
\insFigU%


%\printindex

\end{document}
